TaskAttemptContainerLaunchedEvent (Apache Hadoop MapReduce App 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.app.job.event, class: TaskAttemptContainerLaunchedEvent

Package org.apache.hadoop.mapreduce.v2.app.job.event

# Class TaskAttemptContainerLaunchedEvent

java.lang.Object
org.apache.hadoop.yarn.event.AbstractEvent<TaskAttemptEventType>
org.apache.hadoop.mapreduce.v2.app.job.event.TaskAttemptEvent
org.apache.hadoop.mapreduce.v2.app.job.event.TaskAttemptContainerLaunchedEvent

All Implemented Interfaces:
  `org.apache.hadoop.yarn.event.Event<TaskAttemptEventType>`

public class TaskAttemptContainerLaunchedEvent extends TaskAttemptEvent

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskAttemptContainerLaunchedEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId id, int shufflePort)`
  Create a new TaskAttemptEvent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getShufflePort()`
  Get the port that the shuffle handler is listening on.

  ### Methods inherited from class org.apache.hadoop.mapreduce.v2.app.job.event.TaskAttemptEvent

  `getTaskAttemptID`

  ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

  `getTimestamp, getType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TaskAttemptContainerLaunchedEvent

    public TaskAttemptContainerLaunchedEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId id, int shufflePort)
    Create a new TaskAttemptEvent.
    Parameters:
      `id` - the id of the task attempt
      `shufflePort` - the port that shuffle is listening on.

- ## Method Details

  - ### getShufflePort

    public int getShufflePort()
    Get the port that the shuffle handler is listening on. This is only valid if the type of the event is TA_CONTAINER_LAUNCHED
    Returns:
      the port the shuffle handler is listening on.